<p align="center">
<img src="https://github.com/sunengine/SunEngine/blob/master/SunEngine.svg" width="300" alt="SunEngine Logo" />
</p>
 
<h3 align="center">
Site engine with blog, forum and articles sections.<br/>
Build on AspNet Core, VueJS, Quasar.</h3>

# SunEngine

<a href="#"><img src="https://img.shields.io/static/v1?label=Version&message=v2.12.1&color=green"></a>
<a href="#"><img src="https://github.com/sunengine/SunEngine/workflows/.NET%20Core/badge.svg" ></a>
<a href="#"><img src="https://github.com/sunengine/SunEngine/workflows/Quasar/badge.svg" ></a>
<br/>
<a href="https://sunengine.github.io"><img src="https://img.shields.io/static/v1?label=Documentation&message=sunengine.github.io&color=informational"></a>
<a href="https://sunengine.site"><img src="https://img.shields.io/static/v1?label=Site%20(Ru)&message=sunengine.site&color=yellow"></a>
<a href="https://demo.sunengine.site"><img src="https://img.shields.io/static/v1?label=Demo&message=demo.sunengine.site&color=yellow"></a>
<a href="https://t.me/SunEngine"><img src="https://img.shields.io/static/v1?label=Telegram&message=@SunEngine&color=success"></a>
<a href="https://t.me/developer_school"><img src="https://img.shields.io/static/v1?label=Telegram&message=Developer%20School%20(RU)&color=success"></a>  

<a href="README.RU.md"><img src="https://img.shields.io/static/v1?label=Readme&message=Russian&color=informational"></a>
  
### Features
 - Ability to create blog  
 - Create a forum with sections   
 - Create articles and articles sections  
 - Ability to comment on any materials on the site  
 - Creating a user profile on the site  
 - User’s personal account with the ability to edit user information and personal data  
 - Administration through the admin panel  
 - Ability to create and modify skins for the site, a choice of [already done skins](https://github.com/sunengine/Skins).  

### Thoughtful and friendly interface
 - A one-page application with a modern and beautiful interface.  
 - Works on personal computers, tablets, mobile phones.  
 - In the future, possibility to compile as a native application of Android, iOS, Windows and Linux.  

### Quick and fast
 - A one-page application loads only what you need, without unnecessary requests (SPA).      
 - Quick access to data based on linq2db.   
 - Efficient and custom caching.  

### Flexible role settings
 - The ability to flexibly configure the rights of user groups for each section of the site.  

### Functional Admin
 - Ability to create  
   - Blogs  
   - Forums  
   - Articles sections  
   - Creating subsections  
 - Interactive editing of site menu, as well as additional menus  
 - Switch basic and additional skins  
 - User groups and changing their permissions  
 - Creating site activities Sections  
 - And other features...  

### Technologies
The project based on modern front edge technologies:
 - Asp.Net Core 3.1  
 - VueJs - SPA client part  
 - Quasar Framework - Material Design VueJs Sections  
 - PostgreSQL - database (in the future, other SQL db engines)  
 - Linq2db ORM - database access  
 
### Security
 - Developed using latest technologies of privacy and security.  
 - An innovative authorization system based on three tokens to protect against interception of authorization data, from XSS and CSRF attacks.  
 - AES encryption to protect authorization tokens.  
 - Cleaning text data on the server from malicious scripts.  
 - HTTPS secure protocol.  
 - Protection against flood requests  
   - Filters against duplicate publication requests.  
   - Captcha on critical areas.  
 - Defense mechanisms against many malicious attack types.  

### Hosting
 - Linux or Windows server  
 - Bash scripts to build, deploy and update  
 - [Installation Guide for Ubuntu 18.04 Server](https://sunengine.github.io/src/en/manual-install_en/step_by_step_server_installation_en.html)    

### High Quality
 - Made with love ❤  
 - Quality code and architecture.  

### Links
- Documentation - https://sunengine.github.io
- Russian Site - https://sunengine.site
- Demo site - https://demo.sunengine.site

### Contacts
 - Dmitrij Polianin Telegram: [@Okeanij](https://t.me/Okeanij)    
 - SunEngine Telegram group: [@SunEngine](https://t.me/SunEngine)  

 ### Developer School
 #### Dmitrij Polianin Developer school on Russian
 - Site: https://okeanij.ru
 - Telegram: [@developer_school](https://t.me/developer_school)
 - Instagram: [@developer_school](https://instagram.com/developer_school)
